dudley/src/Assemble_jacobians.cpp File Reference
`#include "Assemble.h"`
`#include "ShapeTable.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Macros

#define | SCALING(_nsub_, _dim_) pow(1./(double)(_nsub_),1./(double)(_dim_))
#define | COMPDXDV0(P)
#define | COMPDXDV1(P)

## Functions

void | dudley::Assemble_jacobians_2D (const double *coordinates, int numQuad, dim_t numElements, int numNodes, const index_t *nodes, double *dTdX, double *absD, double *quadWeight, const index_t *elementId)
void | dudley::Assemble_jacobians_2D_M1D_E1D (const double *coordinates, int numQuad, dim_t numElements, int numNodes, const index_t *nodes, double *dTdX, double *absD, double *quadWeight, const index_t *elementId)
void | dudley::Assemble_jacobians_3D (const double *coordinates, int numQuad, dim_t numElements, int numNodes, const index_t *nodes, double *dTdX, double *abs_D, double *quadWeight, const index_t *elementId)
void | dudley::Assemble_jacobians_3D_M2D_E2D (const double *coordinates, int numQuad, dim_t numElements, int numNodes, const index_t *nodes, double *dTdX, double *absD, double *quadWeight, const index_t *elementId)

## Macro Definition Documentation

## COMPDXDV0

#define COMPDXDV0 | ( |  | P | ) |

Value:
coordinates[INDEX2(P,nodes[INDEX2(0,e,numNodes)],DIM)]*(-1)+\
coordinates[INDEX2(P,nodes[INDEX2(1,e,numNodes)],DIM)]*1+\
coordinates[INDEX2(P,nodes[INDEX2(2,e,numNodes)],DIM)]*(0)
INDEX2
#define INDEX2(_X1_, _X2_, _N1_)
Definition: index.h:22
DIM
#define DIM

Referenced by dudley::Assemble_jacobians_2D().

## COMPDXDV1

#define COMPDXDV1 | ( |  | P | ) |

Value:
coordinates[INDEX2(P,nodes[INDEX2(0,e,numNodes)],DIM)]*(-1)+\
coordinates[INDEX2(P,nodes[INDEX2(1,e,numNodes)],DIM)]*(0)+\
coordinates[INDEX2(P,nodes[INDEX2(2,e,numNodes)],DIM)]*(1)
INDEX2
#define INDEX2(_X1_, _X2_, _N1_)
Definition: index.h:22
DIM
#define DIM

Referenced by dudley::Assemble_jacobians_2D().

## SCALING

#define SCALING | ( |  | _nsub_,
|  |  | _dim_
| ) |  | pow(1./(double)(_nsub_),1./(double)(_dim_))